Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.listener
Class InverseRelationVariableListener

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.listener.InverseRelationVariableListener

All Implemented Interfaces:
  VariableListener<Object>

    public class InverseRelationVariableListener

extends Object
implements VariableListener<Object>

Constructor Summary
`InverseRelationVariableListener(ShadowVariableDescriptor shadowVariableDescriptor, VariableDescriptor sourceVariableDescriptor)`

Method Summary
`void` | `afterEntityAdded(ScoreDirector scoreDirector, Object entity)`
`void` | `afterEntityRemoved(ScoreDirector scoreDirector, Object entity)`
`void` | `afterVariableChanged(ScoreDirector scoreDirector, Object entity)`
`void` | `beforeEntityAdded(ScoreDirector scoreDirector, Object entity)`
`void` | `beforeEntityRemoved(ScoreDirector scoreDirector, Object entity)`
`void` | `beforeVariableChanged(ScoreDirector scoreDirector, Object entity)`
`protected void` | `insert(ScoreDirector scoreDirector, Object entity)`
`protected void` | `retract(ScoreDirector scoreDirector, Object entity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InverseRelationVariableListener

    public InverseRelationVariableListener(ShadowVariableDescriptor shadowVariableDescriptor,
                                           VariableDescriptor sourceVariableDescriptor)

Method Detail

### beforeEntityAdded

    public void beforeEntityAdded(ScoreDirector scoreDirector,
                                  Object entity)

  Specified by:
    `beforeEntityAdded` in interface `VariableListener<Object>`

### afterEntityAdded

    public void afterEntityAdded(ScoreDirector scoreDirector,
                                 Object entity)

  Specified by:
    `afterEntityAdded` in interface `VariableListener<Object>`

### beforeVariableChanged

    public void beforeVariableChanged(ScoreDirector scoreDirector,
                                      Object entity)

  Specified by:
    `beforeVariableChanged` in interface `VariableListener<Object>`

### afterVariableChanged

    public void afterVariableChanged(ScoreDirector scoreDirector,
                                     Object entity)

  Specified by:
    `afterVariableChanged` in interface `VariableListener<Object>`

### beforeEntityRemoved

    public void beforeEntityRemoved(ScoreDirector scoreDirector,
                                    Object entity)

  Specified by:
    `beforeEntityRemoved` in interface `VariableListener<Object>`

### afterEntityRemoved

    public void afterEntityRemoved(ScoreDirector scoreDirector,
                                   Object entity)

  Specified by:
    `afterEntityRemoved` in interface `VariableListener<Object>`

### insert

    protected void insert(ScoreDirector scoreDirector,
                          Object entity)

### retract

    protected void retract(ScoreDirector scoreDirector,
                           Object entity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.